Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Property
Created: 2013-03-06 Assigned To: Karsten Dambekalns
Updated: 2013-08-02 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Allow use of ArrayConverter to partially map arrays to arrays
Description

Settings allowed properties on the configuration of the property mapper does not allow to partially map arrays to arrays, because the
ArrayConverter always returns the unchanged array.

Related issues:
related to TYPO3.Flow - Feature # 46048: Allow unknown / disallowed propertie... Resolved 2013-03-05

Associated revisions
Revision ed875023 - 2013-03-06 11:17 - Karsten Dambekalns

[FEATURE] Make ArrayConverter map only allowed properties

With this change the ArrayConverter only maps allowed and not skipped
keys from source to target. Of no PropertyMappingConfiguration is given,
it returns the unchanged source array (as before).

Change-Id: I5eaafa9b856cbcc679fa9d1b22e9111cf707d454
Resolves: #46061
Releases: master

History
#1 - 2013-03-06 11:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18726

#2 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

#3 - 2013-08-02 11:19 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
